<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Anmeldung\KursUebersicht;

class KursUebersichtTeilnFaecherController extends KursUebersichtSetFilterController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new KursUebersichtTeilnFaecherUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    

    $requestObj->tnr = \GetOperations::getVarValue('tnr');
    $requestObj->tguid = \GetOperations::getVarValue('tguid');
    
    $requestObj->tnFaecher = \RequestOperations::getVarValue('tnFaecher');

    return $requestObj;
  }

  protected function getDefaultRequestObj()
  {
    return new KursUebersichtTeilnFaecherRequest();
  }
}